{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "dgsconsole": {
      "projectType": "application",
      "schematics": {},
      "root": "",
      "sourceRoot": "src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist/dgsconsole",
            "index": "src/index.html",
            "main": "src/main.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "tsconfig.app.json",
            "aot": false,
            "assets": [
              "src/favicon.ico",
              "src/assets"
            ],
            "styles": [
              "src/styles.css"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "10kb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "dgsconsole:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "dgsconsole:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "dgsconsole:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "src/test.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "tsconfig.spec.json",
            "karmaConfig": "karma.conf.js",
            "assets": [
              "src/favicon.ico",
              "src/assets"
            ],
            "styles": [
              "src/styles.css"
            ],
            "scripts": []
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "tsconfig.app.json",
              "tsconfig.spec.json",
              "e2e/tsconfig.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        },
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "e2e/protractor.conf.js",
            "devServerTarget": "dgsconsole:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "dgsconsole:serve:production"
            }
          }
        }
      }
    },
    "admin": {
      "projectType": "application",
      "schematics": {},
      "root": "projects/admin",
      "sourceRoot": "projects/admin/src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist/admin",
            "index": "projects/admin/src/index.html",
            "main": "projects/admin/src/main.ts",
            "polyfills": "projects/admin/src/polyfills.ts",
            "tsConfig": "projects/admin/tsconfig.app.json",
            "aot": false,
            "assets": [
              "projects/admin/src/favicon.ico",
              "projects/admin/src/assets"
            ],
            "styles": [
              "projects/admin/src/styles.css"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "projects/admin/src/environments/environment.ts",
                  "with": "projects/admin/src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "10kb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "admin:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "admin:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "admin:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/admin/src/test.ts",
            "polyfills": "projects/admin/src/polyfills.ts",
            "tsConfig": "projects/admin/tsconfig.spec.json",
            "karmaConfig": "projects/admin/karma.conf.js",
            "assets": [
              "projects/admin/src/favicon.ico",
              "projects/admin/src/assets"
            ],
            "styles": [
              "projects/admin/src/styles.css"
            ],
            "scripts": []
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/admin/tsconfig.app.json",
              "projects/admin/tsconfig.spec.json",
              "projects/admin/e2e/tsconfig.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        },
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "projects/admin/e2e/protractor.conf.js",
            "devServerTarget": "admin:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "admin:serve:production"
            }
          }
        }
      }
    },
    "agent": {
      "projectType": "application",
      "schematics": {},
      "root": "projects/agent",
      "sourceRoot": "projects/agent/src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist/agent",
            "index": "projects/agent/src/index.html",
            "main": "projects/agent/src/main.ts",
            "polyfills": "projects/agent/src/polyfills.ts",
            "tsConfig": "projects/agent/tsconfig.app.json",
            "aot": false,
            "assets": [
              "projects/agent/src/favicon.ico",
              "projects/agent/src/assets"
            ],
            "styles": [
              "projects/agent/src/styles.css"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "projects/agent/src/environments/environment.ts",
                  "with": "projects/agent/src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "10kb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "agent:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "agent:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "agent:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/agent/src/test.ts",
            "polyfills": "projects/agent/src/polyfills.ts",
            "tsConfig": "projects/agent/tsconfig.spec.json",
            "karmaConfig": "projects/agent/karma.conf.js",
            "assets": [
              "projects/agent/src/favicon.ico",
              "projects/agent/src/assets"
            ],
            "styles": [
              "projects/agent/src/styles.css"
            ],
            "scripts": []
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/agent/tsconfig.app.json",
              "projects/agent/tsconfig.spec.json",
              "projects/agent/e2e/tsconfig.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        },
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "projects/agent/e2e/protractor.conf.js",
            "devServerTarget": "agent:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "agent:serve:production"
            }
          }
        }
      }
    },
    "insights": {
      "projectType": "application",
      "schematics": {},
      "root": "projects/insights",
      "sourceRoot": "projects/insights/src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist/insights",
            "index": "projects/insights/src/index.html",
            "main": "projects/insights/src/main.ts",
            "polyfills": "projects/insights/src/polyfills.ts",
            "tsConfig": "projects/insights/tsconfig.app.json",
            "aot": false,
            "assets": [
              "projects/insights/src/favicon.ico",
              "projects/insights/src/assets"
            ],
            "styles": [
              "projects/insights/src/styles.css"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "projects/insights/src/environments/environment.ts",
                  "with": "projects/insights/src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "10kb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "insights:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "insights:build:production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "insights:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/insights/src/test.ts",
            "polyfills": "projects/insights/src/polyfills.ts",
            "tsConfig": "projects/insights/tsconfig.spec.json",
            "karmaConfig": "projects/insights/karma.conf.js",
            "assets": [
              "projects/insights/src/favicon.ico",
              "projects/insights/src/assets"
            ],
            "styles": [
              "projects/insights/src/styles.css"
            ],
            "scripts": []
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/insights/tsconfig.app.json",
              "projects/insights/tsconfig.spec.json",
              "projects/insights/e2e/tsconfig.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        },
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "projects/insights/e2e/protractor.conf.js",
            "devServerTarget": "insights:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "insights:serve:production"
            }
          }
        }
      }
    }},
  "defaultProject": "dgsconsole"
}